# Generated by Django 2.2 on 2021-01-16 17:39

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('code', models.CharField(max_length=10)),
                ('country_name', models.CharField(max_length=100)),
                ('seq_grp', models.BooleanField(default=False)),
                ('seq_no', models.IntegerField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='country_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='country_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='country_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Country',
                'verbose_name_plural': 'Countries',
                'db_table': 'mst_country',
                'default_permissions': (),
                'unique_together': {('code', 'country_name')},
            },
        ),
        migrations.CreateModel(
            name='FileType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('file_type_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='file_type_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='file_type_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='file_type_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_file_type',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='Skill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('skill_name', models.CharField(max_length=100, unique=True)),
                ('is_approved', models.BooleanField(null=True)),
                ('approved_user', models.CharField(max_length=50, null=True)),
                ('approved_date', models.DateTimeField(null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('approved_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='skill_approved_by', to=settings.AUTH_USER_MODEL)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='skill_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='skill_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='skill_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_skill',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='VoucherType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('voucher_type_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='voucher_type_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='voucher_type_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='voucher_type_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_voucher_type',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='UserDeactivationReason',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('head_name', models.CharField(max_length=50, null=True)),
                ('seq_no', models.IntegerField()),
                ('user_deactivate_reason_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_deactivation_reason_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_deactivation_reason_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='user_deactivation_reason_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_user_deactivation_reason',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='State',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('code', models.CharField(default=None, max_length=10)),
                ('state_name', models.CharField(max_length=100)),
                ('seq_grp', models.BooleanField(default=False)),
                ('seq_no', models.IntegerField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='configs.Country')),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='state_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='state_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='state_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_state',
                'default_permissions': (),
                'unique_together': {('code', 'state_name')},
            },
        ),
        migrations.CreateModel(
            name='SocialMedia',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('social_media_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='social_media_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='social_media_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='social_media_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_social_media',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='SkillSuggestion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='skill_suggestion_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='skill_suggestion_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='skill_suggestion_modified_by', to=settings.AUTH_USER_MODEL)),
                ('skill_id', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='skill_id', to='configs.Skill')),
                ('suggestion_skill', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='skill_suggestion_id', to='configs.Skill')),
            ],
            options={
                'db_table': 'mst_skill_suggestion',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='SkillLevel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('skill_level_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='skill_level_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='skill_level_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='skill_level_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_skill_level',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='QuestionForm',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('question_form_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='question_form_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='question_form_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='question_form_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_question_form',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='PriceType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('price_type_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='price_type_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='price_type_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='price_type_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_price_type',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='PriceScopeControlType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('price_scope_control_type_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='price_scope_control_type_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='price_scope_control_type_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='price_scope_control_type_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_price_scope_control_type',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='OrderStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('order_status_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_status_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_status_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_status_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_order_status',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='OrderPaymentStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('order_payment_status_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_payment_status_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_payment_status_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_payment_status_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_order_payment_status',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='OrderCancelReason',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('order_cancel_reason_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_cancel_reason_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_cancel_reason_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_cancel_reason_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_order_cancel_reason',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='Occupation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('occupation_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='occupation_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='occupation_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='occupation_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_occupation',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='LanguageProficiency',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('lang_proficiency_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='language_proficiency_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='language_proficiency_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='language_proficiency_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_lang_proficiency',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='Language',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('code', models.CharField(max_length=10, unique=True)),
                ('lang_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='language_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='language_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='language_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_lang',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('gig_status_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_status_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_status_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_status_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_gig_status',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GigGalleryType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('gig_gallery_type_name', models.CharField(max_length=100, unique=True)),
                ('is_max_count_allowed', models.BooleanField(default=False)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_gallery_type_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_gallery_type_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('file_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.FileType')),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gig_gallery_type_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_gig_gallery_type',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GenLedgerType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('gen_ledger_type_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='gen_ledger_type_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gen_ledger_type_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gen_ledger_type_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_gen_ledger_type',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GenLedger',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('gen_ledger_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='gen_ledger_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gen_ledger_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('gen_ledger_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.GenLedgerType')),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='gen_ledger_modified_by', to=settings.AUTH_USER_MODEL)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='gen_ledger_user_id', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_gen_ledger',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='ExtraPrice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seq_no', models.IntegerField()),
                ('extra_price_name', models.CharField(max_length=100)),
                ('extra_price_value', models.IntegerField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='extra_price_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='extra_price_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='extra_price_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_extra_price',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='ExtraDays',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seq_no', models.IntegerField()),
                ('extra_days_name', models.CharField(max_length=100)),
                ('extra_days_value', models.IntegerField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='extra_days_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='extra_days_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='extra_days_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_extra_days',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='EducationTitle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('education_title_name', models.CharField(max_length=100, unique=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='education_title_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='education_title_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='education_title_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_education_title',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='EducationMajor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('education_major_name', models.CharField(max_length=100, unique=True)),
                ('is_approved', models.BooleanField(null=True)),
                ('approved_user', models.CharField(max_length=50, null=True)),
                ('approved_date', models.DateTimeField(null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('approved_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='education_major_approved_by', to=settings.AUTH_USER_MODEL)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='education_major_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='education_major_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='education_major_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_education_major',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('code', models.CharField(default=None, max_length=10)),
                ('city_name', models.CharField(max_length=100)),
                ('seq_grp', models.BooleanField()),
                ('seq_no', models.IntegerField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='city_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='city_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='city_modified_by', to=settings.AUTH_USER_MODEL)),
                ('state', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='configs.State')),
            ],
            options={
                'db_table': 'mst_city',
                'default_permissions': (),
                'unique_together': {('city_name', 'state', 'code')},
            },
        ),
    ]
